import winston from "winston";
import { SpokePoolClient } from "./SpokePoolClient";
export declare class SpokePoolManager {
    readonly logger: winston.Logger;
    private spokePoolClients;
    constructor(logger: winston.Logger, spokePoolClients: {
        [chainId: number]: SpokePoolClient;
    });
    getClient(chainId: number): SpokePoolClient | undefined;
    getSpokePoolClients(): {
        [chainId: number]: SpokePoolClient;
    };
}
